The pcsd cannot be started.

Asked 1 months ago, Updated 1 months ago, 2 views

Install the Linux HAJAPAN Pacemaker-1.1.14-1.1 Repository Package on Centos 7.1 and
When I tried to build HA, pcsd could not be started.
The installation completion display, startup commands, and error messages are as follows:

Installation:
  pacemaker-all.noarch0:1.1.14-1.1.el7                                                                                                       

Failed to install dependency:
  OpenIPMI-libs.x86_640: 2.0.19-11.el7 cluster-blue.x86_640: 1.0.12-2.el7crmsh.x86_640: 2.1.5-1.el7 openhpi-libs.x86_640: 3.4.0-2.el7 
  pm_crmgen.noarch0:2.1-1.el7pm_diskd.x86_640:2.2-1.el7pm_extras.x86_640:2.2-1.el7pm_logconv-cs.noarch0:2.2-1.el7  
  pssh.noarch0: 2.3.1-5.el7            

Done!
[[email protected] yum.repos.d]#systemctl startpcsd
[[email protected] yum.repos.d] #systemctlstatuspcsd
● pcsd.service-PCS GUI and remote configuration interface
   Loaded: loaded (/usr/lib/systemd/system/pcsd.service; enabled; vendor preset: disabled)
   Active: failed (Result: exit-code) since water 2016-08-24 22:32:04 JST; 6sago
  Process: 9929 ExecStart=/usr/bin/ruby-C/var/lib/pcsd-I/usr/lib/pcsd --/usr/lib/pcsd/ssl.rb>/dev/null&(code=exited, status=1/FAILURE)
 Main PID: 9929 (code=exited, status=1/FAILURE)

 August 24 22:31:58 localhost.localdomain systemd[1]—Started PCS GUI and remote configuration interface.
 August 24 22:31:58 localhost.localdomain systemd[1]: Starting PCS GUI and remote configuration interface...
 August 24 22:32:01 localhost.localdomain abrt [9929]: detected unhandled Ruby exception in '/usr/lib/pcsd/ssl.rb'
 August 24 22:32:04 localhost.localdomain systemd[1]:pcsd.service:main process expired, code=exited, status=1/FAILURE
 August 24 22:32:04 localhost.localdomain systemd[1]: Unitpcsd.service entered failed state.
 August 24 22:32:04 localhost.localdomain systemd[1]:pcsd.service failed.
 August 24 22:32:04 localhost.localdomain ruby [9929]: /usr/share/rubygems/rubygems/core_ext/kernel_require.rb:55:in `require':cannot l...Error)
 August 24 22:32:04 localhost.localdomain ruby [9929]: from /usr/share/rubygems/rubygems/core_ext/kernel_require.rb:55:in `require'
 August 24 22:32:04 localhost.localdomain ruby [9929]:from/usr/lib/pcsd/ssl.rb:5:in`<main>'
Hint: Some lines were well-known, use-l to show in full.

linux

2022-09-30 11:37

1 Answers

I tried it around version 1.1.13, but pcsd doesn't work properly.

  • need to gem install sinatra-contrib, open4, orderedhash, rpam
  • /etc/init.d/pcsd does not launch ruby in the background
  • /etc/sysconfig/pcsd requires "export RACK_ENV=production"
  • /usr/sbin/corosync-objctl is missing (I gave up here)

Linux-ha recommends configuration using the crm command, so if you want to use the linux-ha package, you should set it up with crm instead of pcs/pcsd.


2022-09-30 11:37

If you have any answers or tips


© 2022 OneMinuteCode. All rights reserved.